export function formatBeatUnit(beatUnit: string, isDot: boolean) {
  let multiple = '1/4'
  switch (beatUnit) {
    case '1024th':
      multiple = "1/1024"
      break
    case '512th':
      multiple = "1/512"
      break
    case '256th':
      multiple = "1/256"
      break
    case '128th':
      multiple = "1/128"
      break
    case '64th':
      multiple = "1/64"
      break
    case '32nd':
      multiple = "1/32"
      break
    case '16th':
      multiple = '1/16'
      break
    case 'eighth':
      multiple = '1/8'
      break
    case 'quarter':
      multiple = '1/4'
      break
    case 'half':
      multiple = '1/2'
      break
    case 'whole':
      multiple = '1/1'
    default:
      break
  }
  isDot && (multiple += '.')
  return multiple
}
